Package org.flowable.engine.history

# Interface HistoricActivityInstance

All Superinterfaces:
  `HistoricData`

public interface HistoricActivityInstance extends HistoricData
Represents one execution of an activity and it's stored permanent for statistics, audit and other business intelligence purposes.

Author:
  Christian Stettler, Joram Barrez

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getActivityId()`
  The unique identifier of the activity in the process
  `String`
  `getActivityName()`
  The display name for the activity
  `String`
  `getActivityType()`
  The XML tag of the activity as in the process file
  `String`
  `getAssignee()`
  Assignee in case of user task activity
  `String`
  `getCalledProcessInstanceId()`
  The called process instance in case of call activity
  `String`
  `getCompletedBy()`
  User id of the user completing the user task in case of a user task activity
  `String`
  `getDeleteReason()`
  Returns the delete reason for this activity, if any was set (if completed normally, no delete reason is set)
  `Long`
  `getDurationInMillis()`
  Difference between `getEndTime()` and `getStartTime()`.
  `Date`
  `getEndTime()`
  Time when the activity instance ended
  `String`
  `getExecutionId()`
  Execution reference
  `String`
  `getId()`
  The unique identifier of this historic activity instance.
  `String`
  `getProcessDefinitionId()`
  Process definition reference
  `String`
  `getProcessInstanceId()`
  Process instance reference
  `Date`
  `getStartTime()`
  Time when the activity instance started
  `String`
  `getTaskId()`
  The corresponding task in case of task activity
  `String`
  `getTenantId()`
  Returns the tenant identifier for the historic activity
  `Integer`
  `getTransactionOrder()`
  Get transaction order value

  ### Methods inherited from interface org.flowable.common.engine.api.history.HistoricData

  `getTime`

- ## Method Details

  - ### getId

    String getId()
    The unique identifier of this historic activity instance.

  - ### getActivityId

    String getActivityId()
    The unique identifier of the activity in the process

  - ### getActivityName

    String getActivityName()
    The display name for the activity

  - ### getActivityType

    String getActivityType()
    The XML tag of the activity as in the process file

  - ### getProcessDefinitionId

    String getProcessDefinitionId()
    Process definition reference

  - ### getProcessInstanceId

    String getProcessInstanceId()
    Process instance reference

  - ### getExecutionId

    String getExecutionId()
    Execution reference

  - ### getTaskId

    String getTaskId()
    The corresponding task in case of task activity

  - ### getCalledProcessInstanceId

    String getCalledProcessInstanceId()
    The called process instance in case of call activity

  - ### getAssignee

    String getAssignee()
    Assignee in case of user task activity

  - ### getCompletedBy

    String getCompletedBy()
    User id of the user completing the user task in case of a user task activity

  - ### getStartTime

    Date getStartTime()
    Time when the activity instance started

  - ### getEndTime

    Date getEndTime()
    Time when the activity instance ended

  - ### getDurationInMillis

    Long getDurationInMillis()
    Difference between `getEndTime()` and `getStartTime()`.

  - ### getTransactionOrder

    Integer getTransactionOrder()
    Get transaction order value

  - ### getDeleteReason

    String getDeleteReason()
    Returns the delete reason for this activity, if any was set (if completed normally, no delete reason is set)

  - ### getTenantId

    String getTenantId()
    Returns the tenant identifier for the historic activity